javax.servlet.annotation

## Enum ServletSecurity.TransportGuarantee

- java.lang.Object
- - java.lang.Enum<ServletSecurity.TransportGuarantee>
  - - javax.servlet.annotation.ServletSecurity.TransportGuarantee

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ServletSecurity.TransportGuarantee>

Enclosing class:
  ServletSecurity

    public static enum ServletSecurity.TransportGuarantee
    extends java.lang.Enum<ServletSecurity.TransportGuarantee>

Represents the two possible values of data transport, encrypted or not.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONFIDENTIAL` The container MUST encrypt user data during transport
`NONE` User data must not be encrypted by the container during transport

### Method Summary

All Methods Static Methods Concrete Methods
`static ServletSecurity.TransportGuarantee` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ServletSecurity.TransportGuarantee[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final ServletSecurity.TransportGuarantee NONE

User data must not be encrypted by the container during transport

#### CONFIDENTIAL

    public static final ServletSecurity.TransportGuarantee CONFIDENTIAL

The container MUST encrypt user data during transport

### Method Detail

#### values

    public static ServletSecurity.TransportGuarantee[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ServletSecurity.TransportGuarantee c : ServletSecurity.TransportGuarantee.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ServletSecurity.TransportGuarantee valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null